Eclipse Platform Release 3.7

## org.eclipse.ui.actions
Class OpenFileAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.ui.actions.BaseSelectionListenerAction
                      org.eclipse.ui.actions.SelectionListenerAction
                          org.eclipse.ui.actions.OpenSystemEditorAction
                              org.eclipse.ui.actions.OpenFileAction

All Implemented Interfaces:
  IAction, ISelectionChangedListener

    public class OpenFileAction

extends OpenSystemEditorAction

Standard action for opening an editor on the currently selected file resource(s).

Note that there is a different action for opening closed projects: `OpenResourceAction`.

This class may be instantiated; it is not intended to be subclassed.

Restriction:
  This class is not intended to be subclassed by clients.

Field Summary
`static String` `ID` The id of this action.

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`OpenFileAction(IWorkbenchPage page)` Creates a new action that will open editors on the then-selected file resources.
`OpenFileAction(IWorkbenchPage page, IEditorDescriptor descriptor)` Creates a new action that will open instances of the specified editor on the then-selected file resources.

Method Summary

Methods inherited from class org.eclipse.ui.actions.OpenSystemEditorAction
`run, updateSelection`

Methods inherited from class org.eclipse.ui.actions.SelectionListenerAction
`clearCache, getSelectedNonResources, getSelectedResources, resourceIsType, selectionIsOfType`

Methods inherited from class org.eclipse.ui.actions.BaseSelectionListenerAction
`getStructuredSelection, runWithEvent, selectionChanged, selectionChanged`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### ID

    public static final String ID

  The id of this action.

  See Also:
    Constant Field Values

Constructor Detail

### OpenFileAction

    public OpenFileAction(IWorkbenchPage page)

  Creates a new action that will open editors on the then-selected file resources. Equivalent to `OpenFileAction(page,null)`.

  Parameters:
    `page` - the workbench page in which to open the editor

### OpenFileAction

    public OpenFileAction(IWorkbenchPage page,
                          IEditorDescriptor descriptor)

  Creates a new action that will open instances of the specified editor on the then-selected file resources.

  Parameters:
    `page` - the workbench page in which to open the editor
    `descriptor` - the editor descriptor, or `null` if unspecified

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.